LEPTONICA(3)

NAME
leptonica - image processing library

SYNOPSIS
#include <leptonica/allheaders.h>

cc file.c -llept

DESCRIPTION
This manual page documents briefly the leptonica image processing library.

Leptonica is a well-tested C library for some basic image processing operations, along with a description of the functions and some design methods. A full set of affine transformations (translation, shear, rotation, scaling) on images of all depths is included, with the exception that some of the scaling methods do not work at all depths. There are also implementations of binary morphology, grayscale morphology, convolution and rank order filters, and applications such as jbig2 image processing and color quantization. You will also find basic utilities for the safe and efficient handling of arrays (of strings, numbers, number pairs and image-related geometrical objects), byte queues, generic stacks, generic lists, and endian-independent indexing into 32-bit arrays.

OPTIONS
Most example programs included with leptonica will report their usage if you try to run them on the command line with no arguments. Usage varies from program to program. These are sample programs; read their source code if you are trying to do something similar.

SEE ALSO
convertfilestopdf(1), convertfilestops(1), convertformat(1), convertsegfilestopdf(1), convertsegfilestops(1), converttopdf(1), converttops(1), fileinfo(1), xtractprotos(1),

The library and sample programs are documented more fully by http://www.leptonica.com, available via your favorite web user agent.

AUTHOR
leptonica was written by Dan Bloomberg <bloomberg@ieee.org>.

This manual page was written by Jeff Breidenbach <jab@debian.org>, for the Debian project (but may be used by others).